All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class StringToVerticalOrientationTransform

    com.sas.util.transforms.StringToVerticalOrientationTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class StringToVerticalOrientationTransform

implements com.sas.util.transforms.TransformInterface

See Also:
  Serialized Form

Field Summary
`static StringToVerticalOrientationTransform` | `defaultInstance`
`static java.lang.String` | `RB_KEY`
`static java.lang.String` | `RB_KEY2`

Constructor Summary
`StringToVerticalOrientationTransform()` Default no=arg constructor.
`StringToVerticalOrientationTransform(java.util.Locale locale)` Create instance with locale setting.

Method Summary
`java.lang.Object` | `transform(java.lang.Object input)` Convert BOTTOM, TOP, ALL string values to there integer representation.

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### RB_KEY2

    public static final java.lang.String RB_KEY2

See Also:
  Constant Field Values

### defaultInstance

    public static final StringToVerticalOrientationTransform defaultInstance

Constructor Detail

### StringToVerticalOrientationTransform

    public StringToVerticalOrientationTransform()

  Default no=arg constructor.

### StringToVerticalOrientationTransform

    public StringToVerticalOrientationTransform(java.util.Locale locale)

  Create instance with locale setting.

  Parameters:
    `locale` - language passed in for localization of transform messages

Method Detail

### transform

    public java.lang.Object transform(java.lang.Object input)
                               throws com.sas.util.transforms.TransformException

  Convert BOTTOM, TOP, ALL string values to there integer representation.

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Parameters:
    `input` - string value to convert
  Throws:
    `com.sas.util.transforms.TransformException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.